Debian Bug report logs - #683555
subversion: not working at all SASL context error

version graph

Package: libsasl2-2; Maintainer for libsasl2-2 is Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>; Source for libsasl2-2 is src:cyrus-sasl2.

Reported by: Norbert Preining <preining@logic.at>

Date: Wed, 1 Aug 2012 17:21:02 UTC

Severity: important

Tags: fixed-upstream

Merged with 636534, 645435

Found in version cyrus-sasl2/2.1.24~rc1.dfsg1+cvs2011-05-23-4

Fixed in version cyrus-sasl2/2.1.25.dfsg1-6

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.cyrusimap.org/show_bug.cgi?id=3589

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#683555; Package subversion. (Wed, 01 Aug 2012 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to Peter Samuelson <peter@p12n.org>. (Wed, 01 Aug 2012 17:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: submit@bugs.debian.org
Subject: subversion: not working at all SASL context error
Date: Thu, 2 Aug 2012 01:59:36 +0900
Package: subversion
Severity: serious
Version: 1.7.5-1

Hi everyone,

due to a broken laptop I had to switch to an old one. After upgrading
from a about 2 year old system, suddenly my svn is completely
broken wrt to svn:// URLs. ALl trials (co, up, ...) terminate with
the same error:

$ svn up
Updating '.':
svn: E170001: Unable to connect to a repository at URL 'svn://user@server.org/some/path'
svn: E170001: Could not create SASL context: generic failure: No such file or directory
$

The same happens with svn+ssh://... on svn.debian.org

I removed all of .subversion dir to see whether it makes a change,
but it didn't.

Any ideas?

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
SKEGNESS (n.)
Nose excreta of a malleable consistency.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#683555; Package subversion. (Thu, 02 Aug 2012 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Fox <stephenfox.debian.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Thu, 02 Aug 2012 12:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 683555@bugs.debian.org (full text, mbox):

From: Stephen Fox <stephenfox.debian.dev@gmail.com>
To: 683555@bugs.debian.org
Subject: re: subversion SASL context error
Date: Thu, 02 Aug 2012 07:04:55 -0500
Hi,

I have the same problem. I run unstable and upgrade frequently. I
noticed this on 8/1/12, and everything was fine over weekend.

I cannot do a fresh checkout with svn+ssh, nor an update on an existing
checkout, with the same error that Norbert is reporting.

ii  subversion                                  
1.7.5-1                              amd64        Advanced version
control system

ii  cyrus-sasl2-dbg                             
2.1.25.dfsg1-4+b1                    amd64        Cyrus SASL - debugging
symbols
ii  cyrus-sasl2-heimdal-dbg                     
2.1.25.dfsg1-4+b1                    amd64        Cyrus SASL - debugging
symbols for Heimdal modules
ii  libauthen-sasl-perl                         
2.1500-1                             all          Authen::SASL - SASL
Authentication framework
ii  libsasl2-2:amd64                            
2.1.25.dfsg1-4+b1                    amd64        Cyrus SASL -
authentication abstraction library
ii  libsasl2-dev                                
2.1.25.dfsg1-4+b1                    amd64        Cyrus SASL -
development files for authentication abstraction library
ii  libsasl2-modules:amd64                      
2.1.25.dfsg1-4+b1                    amd64        Cyrus SASL - pluggable
authentication modules
ii  libsasl2-modules-gssapi-heimdal:amd64       
2.1.25.dfsg1-4+b1                    amd64        Pluggable
Authentication Modules for SASL (GSSAPI)
ii  sasl2-bin                                   
2.1.25.dfsg1-4+b1                    amd64        Cyrus SASL -
administration programs for SASL users database

Cheers

Stephen Fox



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#683555; Package subversion. (Thu, 02 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. (Thu, 02 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 683555@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Norbert Preining <preining@logic.at>, 683555@bugs.debian.org
Cc: Stephen Fox <stephenfox.debian.dev@gmail.com>
Subject: Re: Bug#683555: subversion: not working at all SASL context error
Date: Thu, 2 Aug 2012 10:44:13 -0500
[Norbert Preining]
> $ svn up
> Updating '.':
> svn: E170001: Unable to connect to a repository at URL 'svn://user@server.org/some/path'
> svn: E170001: Could not create SASL context: generic failure: No such file or directory
> 
> The same happens with svn+ssh://... on svn.debian.org

This is a failed call to sasl_client_new() from libsasl2-2.  I can't
reproduce the problem.  I have the latest libsasl2-2, libsasl2-modules
packages.

I do wonder if it is somehow related to Bug #665476.  I mean, probably
not, but possibly?

Peter



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#683555; Package subversion. (Sat, 04 Aug 2012 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Fox <stephenfox.debian.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Sat, 04 Aug 2012 20:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 683555@bugs.debian.org (full text, mbox):

From: Stephen Fox <stephenfox.debian.dev@gmail.com>
To: Peter Samuelson <peter@p12n.org>
Cc: Norbert Preining <preining@logic.at>, 683555@bugs.debian.org
Subject: Re: Bug#683555: subversion: not working at all SASL context error
Date: Sat, 04 Aug 2012 15:04:25 -0500
On 08/02/2012 10:44 AM, Peter Samuelson wrote:
> I do wonder if it is somehow related to Bug #665476. I mean, probably
> not, but possibly? Peter 
Could be indeed. I rebuilt subversion without SASL after realizing SASL
is an optional dependency, and svn is working fine. I suppose a way to
isolate it to the ABI issue would be rebuilding the SASL libs, and
building svn against that? I don't entirely understand the implications
of Bug #665476.

Steve



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#683555; Package subversion. (Sun, 05 Aug 2012 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Sun, 05 Aug 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 683555@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Stephen Fox <stephenfox.debian.dev@gmail.com>
Cc: Peter Samuelson <peter@p12n.org>, 683555@bugs.debian.org
Subject: Re: Bug#683555: subversion: not working at all SASL context error
Date: Sun, 5 Aug 2012 22:08:26 +0900
HI all,

On Sa, 04 Aug 2012, Stephen Fox wrote:
> Could be indeed. I rebuilt subversion without SASL after realizing SASL
> is an optional dependency, and svn is working fine. I suppose a way to

Agreed, I did now the same, rebuild a NMU and changed the configure
to --without-sasl and woops everything is working again.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
TABLEY SUPERIOR (n.)
The look directed at you in a theatre bar in the interval by people
who've already got their drinks.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#683555; Package subversion. (Thu, 09 Aug 2012 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. (Thu, 09 Aug 2012 15:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 683555@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Stephen Fox <stephenfox.debian.dev@gmail.com>, 683555@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>
Subject: Re: Bug#683555: subversion: not working at all SASL context error
Date: Thu, 9 Aug 2012 10:16:17 -0500
[Stephen Fox]
> I rebuilt subversion without SASL after realizing SASL is an optional
> dependency, and svn is working fine. I suppose a way to isolate it to
> the ABI issue would be rebuilding the SASL libs, and building svn
> against that? I don't entirely understand the implications of Bug
> #665476.

I didn't spend any time trying to figure out the implications of
#665476 either.  It may or may not be related.  In any case, Subversion
is not failing for me, so I'd appreciate if someone could figure out
how to reproduce the problem - is there some specific configuration of
the Cyrus SASL library that triggers it, e.g.?

The failure is in initializing libsasl2-2.  Of course we could figure
out how to init the library on demand, so that for cases like yours, it
would never even travel that code path, but as this extraneous library
init has not been a problem before, I'd rather find and fix the _real_
bug.

As for just compiling without SASL support: SASL is indeed 'optional'
in that not all servers will require it in order to authenticate.  So
that's a valid workaround for individual users.  Not for the Debian
build as a whole, though, as probably some servers _do_ require more
advanced SASL authentication modes.

Thanks,
Peter



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#683555; Package subversion. (Sun, 14 Oct 2012 17:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost van Baal-Ilić <joostvb-debian-20121014-1@mdcc.cx>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Sun, 14 Oct 2012 17:27:07 GMT) Full text and rfc822 format available.

Message #35 received at 683555@bugs.debian.org (full text, mbox):

From: Joost van Baal-Ilić <joostvb-debian-20121014-1@mdcc.cx>
To: Debian BTS Submit <submit@bugs.debian.org>
Cc: David Prévot <taffit@debian.org>, 683628@bugs.debian.org, 683555@bugs.debian.org, Mathieu Parent <math.parent@gmail.com>
Subject: release.debian.org: unblock: pear-horde-channel/4
Date: Sun, 14 Oct 2012 19:20:17 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Hello release team,

Mathieu Parent uploaded a pear-horde-channel source package to unstable.
This builds the pear-horde-channel binary package, which basically consists
of just the file /usr/share/php/.channels/pear.horde.org.reg.  This file
is needed for building

 php-horde-activesync
 php-horde-alarm
 php-horde-argv
 php-horde-auth
 php-horde-autoloader
 php-horde-browser
 php-horde-cache
 [...]
 php-horde-vfs
 php-horde-view
 php-horde-xml-element
 php-horde-xml-wbxml

(see (Bug #683554 RM: horde3 and reverse dependencies) for the complete list).

In current testing, the pear-horde-channel binary package is created from the
horde3 source package, which is scheduled for removal from Debian (Bug#683554:
RM: horde3 and reverse dependencies).

The debdiff of the old and new binary package is available from
http://mdcc.cx/tmp/pear-horde-channel/pear-horde-channel_3.3.12%2bdebian0-2.2_vs_4.debdiff .
The files debian/copyright as well as a full diff are available from
http://mdcc.cx/tmp/pear-horde-channel/ .

Unfortunately, the new pear-horde-channel Debian source package lacks
instructions on how to recreate the generated file pear.horde.org.reg.  I've
just filed Bug #690463 reporting this issue.

In the mean time, please allow pear-horde-channel/4 to enter Debian testing.

Thank you for considering.

Joost

unblock: pear-horde-channel/4


PS: See Bug#683628 "release-notes: Re: Horde and Kolab removed" for even
more background information.




Information forwarded to debian-bugs-dist@lists.debian.org, Peter Samuelson <peter@p12n.org>:
Bug#683555; Package subversion. (Thu, 25 Oct 2012 03:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Samuelson <peter@p12n.org>. (Thu, 25 Oct 2012 03:45:05 GMT) Full text and rfc822 format available.

Message #40 received at 683555@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: 683555@bugs.debian.org, 636534@bugs.debian.org
Subject: Re: Bug#683555: subversion: not working at all SASL context error
Date: Thu, 25 Oct 2012 06:22:48 +0300
reassign 683555 libsasl2-2
forcemerge 636534 683555
forwarded 636534 https://bugzilla.cyrusimap.org/show_bug.cgi?id=3589
tags 636534 + fixed-upstream
severity 636534 important
thanks

On Thu, Aug 02, 2012 at 01:59:36AM +0900, Norbert Preining wrote:
> due to a broken laptop I had to switch to an old one. After upgrading
> from a about 2 year old system, suddenly my svn is completely
> broken wrt to svn:// URLs. ALl trials (co, up, ...) terminate with
> the same error:
> 
> $ svn up
> Updating '.':
> svn: E170001: Unable to connect to a repository at URL 'svn://user@server.org/some/path'
> svn: E170001: Could not create SASL context: generic failure: No such file or directory
> $
> 
> The same happens with svn+ssh://... on svn.debian.org

So, I was bitten by this as well. It seems that this bug is breaking
Subversion on upgrades on systems that don't have a correct hostname.

Having a broken hostname is of course bad, but this shouldn't stop
Subversion from working, esp. since it's a regression from squeeze.

It appears that it's not that uncommon: we had two separate bug reports
with multiple reporters in Debian, there's a similar openSUSE¹ bug, a
similar MacPorts bug² etc. It also affects more than Subversion; KMail &
Kontact have been explictly mentioned.

So, I'm bumping the severity to important -- I also considered serious/RC,
but I'll leave that up to the maintainer.

The issue seems to have been fixed upstream with commit
8fc14fd702897e652a38384af2f55e51752e8c15, as mentioned in the upstream
bug report³, so I think it'd be great if this ended up backported into
wheezy.

Thanks,
Faidon

¹: https://bugzilla.novell.com/show_bug.cgi?id=771983
²: https://trac.macports.org/ticket/34861
³: https://bugzilla.cyrusimap.org/show_bug.cgi?id=3589



Bug reassigned from package 'subversion' to 'libsasl2-2'. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions subversion/1.7.5-1. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:07 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:08 GMT) Full text and rfc822 format available.

Marked as found in versions cyrus-sasl2/2.1.24~rc1.dfsg1+cvs2011-05-23-4. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:08 GMT) Full text and rfc822 format available.

Merged 636534 645435 683555 Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.cyrusimap.org/show_bug.cgi?id=3589'. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:12 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. (Thu, 25 Oct 2012 03:45:13 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 26 Oct 2012 12:36:03 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Fri, 26 Oct 2012 12:36:03 GMT) Full text and rfc822 format available.

Message #61 received at 683555-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 683555-close@bugs.debian.org
Subject: Bug#683555: fixed in cyrus-sasl2 2.1.25.dfsg1-6
Date: Fri, 26 Oct 2012 12:33:11 +0000
Source: cyrus-sasl2
Source-Version: 2.1.25.dfsg1-6

We believe that the bug you reported is fixed in the latest version of
cyrus-sasl2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683555@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated cyrus-sasl2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Oct 2012 14:06:11 +0200
Source: cyrus-sasl2
Binary: sasl2-bin cyrus-sasl2-doc libsasl2-2 libsasl2-modules libsasl2-modules-ldap libsasl2-modules-otp libsasl2-modules-sql libsasl2-modules-gssapi-mit libsasl2-dev libsasl2-modules-gssapi-heimdal cyrus-sasl2-dbg cyrus-sasl2-mit-dbg cyrus-sasl2-heimdal-dbg
Architecture: source amd64 all
Version: 2.1.25.dfsg1-6
Distribution: unstable
Urgency: low
Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 cyrus-sasl2-dbg - Cyrus SASL - debugging symbols
 cyrus-sasl2-doc - Cyrus SASL - documentation
 cyrus-sasl2-heimdal-dbg - Cyrus SASL - debugging symbols for Heimdal modules
 cyrus-sasl2-mit-dbg - Cyrus SASL - debugging symbols for MIT modules
 libsasl2-2 - Cyrus SASL - authentication abstraction library
 libsasl2-dev - Cyrus SASL - development files for authentication abstraction lib
 libsasl2-modules - Cyrus SASL - pluggable authentication modules
 libsasl2-modules-gssapi-heimdal - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-modules-gssapi-mit - Cyrus SASL - pluggable authentication modules (GSSAPI)
 libsasl2-modules-ldap - Cyrus SASL - pluggable authentication modules (LDAP)
 libsasl2-modules-otp - Cyrus SASL - pluggable authentication modules (OTP)
 libsasl2-modules-sql - Cyrus SASL - pluggable authentication modules (SQL)
 sasl2-bin  - Cyrus SASL - administration programs for SASL users database
Closes: 683555
Changes: 
 cyrus-sasl2 (2.1.25.dfsg1-6) unstable; urgency=low
 .
   * Fix failures when the host have broken hostname (Closes: #683555)
Checksums-Sha1: 
 83af1ed55dc5696f54cb9eefd016340dd4974d7b 2556 cyrus-sasl2_2.1.25.dfsg1-6.dsc
 df77b23168185bdec5fc88d527b315a59f4878d6 106438 cyrus-sasl2_2.1.25.dfsg1-6.debian.tar.gz
 482a6dafed06cba33980c1ef2dbdf3c9b25c246f 187392 sasl2-bin_2.1.25.dfsg1-6_amd64.deb
 34e284bf9e2e58f1d52a826f680be7631599cd92 114184 cyrus-sasl2-doc_2.1.25.dfsg1-6_all.deb
 62e696bdfa8a09498be522dec4358407b6f08c69 120370 libsasl2-2_2.1.25.dfsg1-6_amd64.deb
 b4cb743b9eea999923cc993cedf910fd1901a407 115882 libsasl2-modules_2.1.25.dfsg1-6_amd64.deb
 507a933b273345bcba92ed18d40157164fa49cb9 64378 libsasl2-modules-ldap_2.1.25.dfsg1-6_amd64.deb
 02734fa65342ad9bb2a225b229f9a824be0f075a 88730 libsasl2-modules-otp_2.1.25.dfsg1-6_amd64.deb
 d6a7c849926369e64af534277a95d848db5ee3a1 67704 libsasl2-modules-sql_2.1.25.dfsg1-6_amd64.deb
 b6c8ed13779dfa3ea3d7e0336c9c64283dfe8e6f 100200 libsasl2-modules-gssapi-mit_2.1.25.dfsg1-6_amd64.deb
 c819b0d1f4ad361fcbf286c0c181a497ac8b147c 360532 libsasl2-dev_2.1.25.dfsg1-6_amd64.deb
 84eeeb3ab8faf9e153cd10776c22b7a935298cd0 69332 libsasl2-modules-gssapi-heimdal_2.1.25.dfsg1-6_amd64.deb
 cc5fa0c6bbb8a32d2716aad7a0ecda9b5a0d1d78 880914 cyrus-sasl2-dbg_2.1.25.dfsg1-6_amd64.deb
 e264e32c80cc08884feae4037c5db6abbfeef55c 89032 cyrus-sasl2-mit-dbg_2.1.25.dfsg1-6_amd64.deb
 45cde31eb711a493f5ca7c19d211de64ffc9a659 89526 cyrus-sasl2-heimdal-dbg_2.1.25.dfsg1-6_amd64.deb
Checksums-Sha256: 
 7f3383eda5e2548798a0b21484e3d2846dce1b89a38c04717608c0b612ec12e9 2556 cyrus-sasl2_2.1.25.dfsg1-6.dsc
 468f4cabb6f12cb2670a4def639557c5cf7bc9c66a655a73031bd21233900cc2 106438 cyrus-sasl2_2.1.25.dfsg1-6.debian.tar.gz
 7749b2a2e6f589a91f3bf8df940d1c0c1a2dc72df5d92f50f1a65309853a49b5 187392 sasl2-bin_2.1.25.dfsg1-6_amd64.deb
 62bc96b3c36cc2180f06d8af1e04186298c566d403ad70ee3f38bd2dd82831ed 114184 cyrus-sasl2-doc_2.1.25.dfsg1-6_all.deb
 676f66987921d98c7819196c18e50f13e04b914f710405278029b1afe3656db2 120370 libsasl2-2_2.1.25.dfsg1-6_amd64.deb
 482ebbeaece41bcba4b177fa25f186143f2bf89cf8ac63faf92d7fe0bd9e34e9 115882 libsasl2-modules_2.1.25.dfsg1-6_amd64.deb
 5210da9b50e43d530728cb3cf82c3ab074cf99caf7152b037ccedd7f3d1967bb 64378 libsasl2-modules-ldap_2.1.25.dfsg1-6_amd64.deb
 f3088de192415eb4a20ad1a6845e7239171e4209dc87ee1c6e6b2d9a44d51ec6 88730 libsasl2-modules-otp_2.1.25.dfsg1-6_amd64.deb
 8839652731d89efe1aaa351ca71ffe2c63777d9b391988f0bb75ea60d897dd0c 67704 libsasl2-modules-sql_2.1.25.dfsg1-6_amd64.deb
 34beb3d9845561ea66d0d415f0f9ffe9dc37841ae1f87f14102959d173af80b7 100200 libsasl2-modules-gssapi-mit_2.1.25.dfsg1-6_amd64.deb
 7f0597fdca8cba2e0fef03857dab8c284904c8c98e47acc2ff3ce85044eaf528 360532 libsasl2-dev_2.1.25.dfsg1-6_amd64.deb
 a0f86e280a232cb424569a3c4d8f7f1078eef1299eeb72a877ba67b2691f2147 69332 libsasl2-modules-gssapi-heimdal_2.1.25.dfsg1-6_amd64.deb
 daf2a740761e15d71999725a7005d411d127d65a0cdb59fd853120f4c7c7a2f7 880914 cyrus-sasl2-dbg_2.1.25.dfsg1-6_amd64.deb
 b7009d9c8e0badc07e0d9eb4d2d1c4cb50e4ba2c363b4979e54bfcca9db8441b 89032 cyrus-sasl2-mit-dbg_2.1.25.dfsg1-6_amd64.deb
 ff53a6d0fea07ed668dd7e67fd553d5bd61648347893d649b50634009382a043 89526 cyrus-sasl2-heimdal-dbg_2.1.25.dfsg1-6_amd64.deb
Files: 
 3f543d9e131b7643032ccdecfa52f75f 2556 libs standard cyrus-sasl2_2.1.25.dfsg1-6.dsc
 30231ab9094a3a28d015bf5b9fac9129 106438 libs standard cyrus-sasl2_2.1.25.dfsg1-6.debian.tar.gz
 76ab68bb4aab1056eba9915346226e22 187392 utils optional sasl2-bin_2.1.25.dfsg1-6_amd64.deb
 dc813f76bd5828169a034e1bf685645a 114184 doc optional cyrus-sasl2-doc_2.1.25.dfsg1-6_all.deb
 ec5ec84caab73cdfc48ea64f6ad4d92e 120370 libs standard libsasl2-2_2.1.25.dfsg1-6_amd64.deb
 f0e49597e552623340f56584e1f3c6d2 115882 libs optional libsasl2-modules_2.1.25.dfsg1-6_amd64.deb
 a091840181ebab024b5f482854dfbe65 64378 libs extra libsasl2-modules-ldap_2.1.25.dfsg1-6_amd64.deb
 fe028366a3898e465bf3c91ef35391d2 88730 libs extra libsasl2-modules-otp_2.1.25.dfsg1-6_amd64.deb
 149ff0ebcac23e6340660d05cdc9db23 67704 libs extra libsasl2-modules-sql_2.1.25.dfsg1-6_amd64.deb
 792668b91eee92451d66ce709e891172 100200 libs extra libsasl2-modules-gssapi-mit_2.1.25.dfsg1-6_amd64.deb
 9d6b2d45a2759e29d1d436869ad53858 360532 libdevel optional libsasl2-dev_2.1.25.dfsg1-6_amd64.deb
 5b74d298f588012ba6740910c99a597a 69332 libs extra libsasl2-modules-gssapi-heimdal_2.1.25.dfsg1-6_amd64.deb
 d113837a54972fa5131a5e95020a70f3 880914 debug extra cyrus-sasl2-dbg_2.1.25.dfsg1-6_amd64.deb
 75478e1bcd0c316b1146808ef0d164b3 89032 debug extra cyrus-sasl2-mit-dbg_2.1.25.dfsg1-6_amd64.deb
 a2ad7f5e2aad235516489431c94027ca 89526 debug extra cyrus-sasl2-heimdal-dbg_2.1.25.dfsg1-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCKf0kACgkQ9OZqfMIN8nNkPACfWMqAMhqe8Cvr/WbmIbLL/D7u
GawAmwS6Jw2EGI/wxPq/GxslhJArRg0B
=RNxk
-----END PGP SIGNATURE-----




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 26 Oct 2012 12:36:04 GMT) Full text and rfc822 format available.

Notification sent to Tyson Whitehead <twhitehead@gmail.com>:
Bug acknowledged by developer. (Fri, 26 Oct 2012 12:36:04 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 26 Oct 2012 12:36:04 GMT) Full text and rfc822 format available.

Notification sent to Bastien Scher <bastien0705@gmail.com>:
Bug acknowledged by developer. (Fri, 26 Oct 2012 12:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#683555; Package libsasl2-2. (Thu, 22 Nov 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Thu, 22 Nov 2012 20:39:07 GMT) Full text and rfc822 format available.

Message #74 received at 683555@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Joost van Baal-Ilić <joostvb-debian-20121014-1@mdcc.cx>, 690475-done@bugs.debian.org
Cc: David Prévot <taffit@debian.org>, 683628@bugs.debian.org, 683555@bugs.debian.org, Mathieu Parent <math.parent@gmail.com>
Subject: Re: Bug#690475: release.debian.org: unblock: pear-horde-channel/4
Date: Thu, 22 Nov 2012 20:33:49 +0000
On Sun, 2012-10-14 at 19:20 +0200, Joost van Baal-Ilić wrote:
> Mathieu Parent uploaded a pear-horde-channel source package to unstable.
> This builds the pear-horde-channel binary package, which basically consists
> of just the file /usr/share/php/.channels/pear.horde.org.reg.  This file
> is needed for building
[package list trimmed]

> Unfortunately, the new pear-horde-channel Debian source package lacks
> instructions on how to recreate the generated file pear.horde.org.reg.  I've
> just filed Bug #690463 reporting this issue.

In fact, that was now fixed in -5. Unblocked.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Dec 2012 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:39:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.